# This file was automatically generated for projects
# without default 'CMakeLists.txt' file.

FILE(GLOB_RECURSE app_sources ${CMAKE_SOURCE_DIR}/src/*.*)

idf_component_register(
    SRCS 
        "main.cpp"
        "network_manager.c"
        "web_server.c"
        "sd_manager.c"
        "security_manager.c"
        "led_manager.c"
        "ota_manager.c"
        "scanner_engine.c"
        "config_manager.c"
        "log_manager.c"
    EXCLUDE_SRCS
        "scanner_simple.c"
    INCLUDE_DIRS 
        "../include"
    REQUIRES 
        esp_http_server
        esp_https_ota
        esp_eth
        esp_wifi
        esp_netif
        fatfs
        sdmmc
        mbedtls
        app_update
        nvs_flash
        driver
        freertos
        json
        esp_timer
                        json
    PRIV_REQUIRES
        esp-hosted-fg
)
